#include <stdio.h>
#include <string.h>
#include <time.h>
#include <dirent.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>

#include "global.h"

#include "manhat-lib/shared_util.h"
#include "manhat-lib/shared_authenticate.h"
#include "manhat-lib/shared_super_util.h"
#include "manhat-lib/shared_course_search.h"
#include "manhat-lib/shared_cs_util.h"
#include "manhat-lib/shared_cs_course_search.h"
#include "manhat-lib/shared_super_menu.h"




void
set_form_data()
{
  /* max_sub is the maxlength of the group name.  It's set low here (and elsewhere)
  ** to prevent people from creating overly long directory names
  */
   cs_set_int_value("max_sub", 8);
   cs_set_course_group_option_list(COURSE_PATH,"");   /* shared_course_group_list.c */
}

int
main()
{
  char key[MAX_KEY +1];
  SESSION user;

  cs_cgi_init();
  read_param( key);
  validate_super_key(key, &user);
  set_admin_page(&user, key, 0, "super_new_course_form");
  set_form_data();
  cs_cgi_display("super_import_course_form", 1);
  cs_cgi_destroy();
  return 0;
}
